#!/usr/bin/env python
# -*- coding: utf-8 -*-

# # Check matplotlib backend
# 
# The notebook checks matplotlib backend. The backend defines the devices the module is using to show the results. *backend_inline* should be the value inside a notebook.

# In[1]:


get_ipython().run_line_magic('matplotlib', 'inline')


# In[2]:


import matplotlib
matplotlib.get_backend()


# In[3]:


import pyquickhelper


# In[4]:


import matplotlib
matplotlib.get_backend()


# The following instruction tends to change matplotlib backend, we just check it does not happen. If this changes, check you did not import a module which import matplotlib or did run the following:
# 
# ```
# 
# from matplotlib.sphinxext.plot_directive import setup as setup_plot
# from matplotlib.sphinxext.only_directives import setup as setup_only
# 
# ```
# 
# The backend might change in that case to ``'agg'`` and graphs will not be displayed into the notebook.

# In[5]:


get_ipython().run_line_magic('load_ext', 'pyquickhelper')


# In[6]:


import matplotlib
matplotlib.get_backend()


# In[7]:


get_ipython().run_line_magic('matplotlib', 'inline')


# In[8]:


import matplotlib
matplotlib.get_backend()